0.9.9 API documenation

- Main Page
- Modules
- Files

- File List

Functions
closest_point.hpp File Reference

GLM_GTX_closest_point More...

Go to the source code of this file.

## Functions
template<typename T , qualifier P>
GLM_FUNC_DECL vec< 3, T, P > | closestPointOnLine (vec< 3, T, P > const &point, vec< 3, T, P > const &a, vec< 3, T, P > const &b)
| Find the point on a straight line which is the closet of a point. More...
template<typename T , qualifier P>
GLM_FUNC_DECL vec< 2, T, P > | closestPointOnLine (vec< 2, T, P > const &point, vec< 2, T, P > const &a, vec< 2, T, P > const &b)
| 2d lines work as well

## Detailed Description

GLM_GTX_closest_point

See also
  GLM Core (dependence)

Definition in file closest_point.hpp.